import{S as ed,i as td,s as od,e as r,k as h,w as k,t as l,M as nd,c as a,d as t,m as f,a as i,x as w,h as p,b as y,G as e,g as x,y as b,q as T,o as O,B as M,v as sd,L as D}from"../../../chunks/vendor-hf-doc-builder.js";import{T as yt}from"../../../chunks/Tip-hf-doc-builder.js";import{D as F}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as L}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as ke}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as I}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function rd(E){let s,_,d,u,g;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var q=i(d);u=p(q,"Module"),q.forEach(t),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function ad(E){let s,_,d,u,g;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=l("Example of text generation:"),d=h(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of text generation:"),m.forEach(t),d=f(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,d,m),b(u,n,m),g=!0},p:D,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function id(E){let s,_,d,u,g,n,m,q;return m=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipelines"),g=l(":"),n=h(),k(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var j=i(d);u=p(j,"transformers.pipelines"),j.forEach(t),g=p(v,":"),v.forEach(t),n=f(c),w(m.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(m,c,v),q=!0},p:D,i(c){q||(T(m.$$.fragment,c),q=!0)},o(c){O(m.$$.fragment,c),q=!1},d(c){c&&t(s),c&&t(n),M(m,c)}}}function ld(E){let s,_,d,u,g;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var q=i(d);u=p(q,"Module"),q.forEach(t),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function pd(E){let s,_,d,u,g;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=l("Example of feature extraction:"),d=h(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of feature extraction:"),m.forEach(t),d=f(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,d,m),b(u,n,m),g=!0},p:D,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function md(E){let s,_,d,u,g,n,m,q;return m=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),g=l(":"),n=h(),k(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var j=i(d);u=p(j,"transformers.pipeline"),j.forEach(t),g=p(v,":"),v.forEach(t),n=f(c),w(m.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(m,c,v),q=!0},p:D,i(c){q||(T(m.$$.fragment,c),q=!0)},o(c){O(m.$$.fragment,c),q=!1},d(c){c&&t(s),c&&t(n),M(m,c)}}}function dd(E){let s,_,d,u,g;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var q=i(d);u=p(q,"Module"),q.forEach(t),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function cd(E){let s,_,d,u,g;return u=new L({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=r("p"),_=l("Example of image classification:"),d=h(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of image classification:"),m.forEach(t),d=f(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,d,m),b(u,n,m),g=!0},p:D,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function ud(E){let s,_,d,u,g,n,m,q;return m=new L({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),g=l(":"),n=h(),k(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var j=i(d);u=p(j,"transformers.pipeline"),j.forEach(t),g=p(v,":"),v.forEach(t),n=f(c),w(m.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(m,c,v),q=!0},p:D,i(c){q||(T(m.$$.fragment,c),q=!0)},o(c){O(m.$$.fragment,c),q=!1},d(c){c&&t(s),c&&t(n),M(m,c)}}}function hd(E){let s,_,d,u,g;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var q=i(d);u=p(q,"Module"),q.forEach(t),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function fd(E){let s,_,d,u,g;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=r("p"),_=l("Example of question answering:"),d=h(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of question answering:"),m.forEach(t),d=f(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,d,m),b(u,n,m),g=!0},p:D,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function gd(E){let s,_,d,u,g,n,m,q;return m=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),g=l(":"),n=h(),k(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var j=i(d);u=p(j,"transformers.pipeline"),j.forEach(t),g=p(v,":"),v.forEach(t),n=f(c),w(m.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(m,c,v),q=!0},p:D,i(c){q||(T(m.$$.fragment,c),q=!0)},o(c){O(m.$$.fragment,c),q=!1},d(c){c&&t(s),c&&t(n),M(m,c)}}}function _d(E){let s,_,d,u,g;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var q=i(d);u=p(q,"Module"),q.forEach(t),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function $d(E){let s,_,d,u,g;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=l("Example of text generation:"),d=h(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of text generation:"),m.forEach(t),d=f(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,d,m),b(u,n,m),g=!0},p:D,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function vd(E){let s,_,d,u,g,n,m,q;return m=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),g=l(":"),n=h(),k(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var j=i(d);u=p(j,"transformers.pipeline"),j.forEach(t),g=p(v,":"),v.forEach(t),n=f(c),w(m.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(m,c,v),q=!0},p:D,i(c){q||(T(m.$$.fragment,c),q=!0)},o(c){O(m.$$.fragment,c),q=!1},d(c){c&&t(s),c&&t(n),M(m,c)}}}function xd(E){let s,_,d,u,g;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var q=i(d);u=p(q,"Module"),q.forEach(t),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function kd(E){let s,_,d,u,g;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=l("Example of single-label classification:"),d=h(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of single-label classification:"),m.forEach(t),d=f(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,d,m),b(u,n,m),g=!0},p:D,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function wd(E){let s,_,d,u,g,n,m,q;return m=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipelines"),g=l(":"),n=h(),k(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var j=i(d);u=p(j,"transformers.pipelines"),j.forEach(t),g=p(v,":"),v.forEach(t),n=f(c),w(m.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(m,c,v),q=!0},p:D,i(c){q||(T(m.$$.fragment,c),q=!0)},o(c){O(m.$$.fragment,c),q=!1},d(c){c&&t(s),c&&t(n),M(m,c)}}}function bd(E){let s,_,d,u,g,n,m,q;return m=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=<span class="hljs-literal">True</span>)`}}),{c(){s=r("p"),_=l("Example using zero-shot-classification "),d=r("code"),u=l("transformers.pipelines"),g=l(":"),n=h(),k(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using zero-shot-classification "),d=a(v,"CODE",{});var j=i(d);u=p(j,"transformers.pipelines"),j.forEach(t),g=p(v,":"),v.forEach(t),n=f(c),w(m.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(m,c,v),q=!0},p:D,i(c){q||(T(m.$$.fragment,c),q=!0)},o(c){O(m.$$.fragment,c),q=!1},d(c){c&&t(s),c&&t(n),M(m,c)}}}function Td(E){let s,_,d,u,g;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var q=i(d);u=p(q,"Module"),q.forEach(t),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function Od(E){let s,_,d,u,g;return u=new L({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=l("Example of text generation:"),d=h(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of text generation:"),m.forEach(t),d=f(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,d,m),b(u,n,m),g=!0},p:D,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Md(E){let s,_,d,u,g,n,m,q;return m=new L({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),g=l(":"),n=h(),k(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var j=i(d);u=p(j,"transformers.pipeline"),j.forEach(t),g=p(v,":"),v.forEach(t),n=f(c),w(m.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(m,c,v),q=!0},p:D,i(c){q||(T(m.$$.fragment,c),q=!0)},o(c){O(m.$$.fragment,c),q=!1},d(c){c&&t(s),c&&t(n),M(m,c)}}}function qd(E){let s,_,d,u,g;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var q=i(d);u=p(q,"Module"),q.forEach(t),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function yd(E){let s,_,d,u,g;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=l("Example of token classification:"),d=h(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of token classification:"),m.forEach(t),d=f(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,d,m),b(u,n,m),g=!0},p:D,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Ed(E){let s,_,d,u,g,n,m,q;return m=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipelines"),g=l(":"),n=h(),k(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var j=i(d);u=p(j,"transformers.pipelines"),j.forEach(t),g=p(v,":"),v.forEach(t),n=f(c),w(m.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(m,c,v),q=!0},p:D,i(c){q||(T(m.$$.fragment,c),q=!0)},o(c){O(m.$$.fragment,c),q=!1},d(c){c&&t(s),c&&t(n),M(m,c)}}}function jd(E){let s,_,d,u,g,n,m,q,c,v,j,Ie,No,Et,fr,Io,gr,ys,R,jt,_r,Do,$r,vr,Rt,xr,Lo,kr,wr,br,Xo,Tr,Or,Ft,re,Mr,Qo,qr,yr,Uo,Er,jr,Wo,Rr,Fr,Cr,ae,Sr,Ho,zr,Pr,Vo,Ar,Nr,Bo,Ir,Dr,Lr,Go,Xr,Qr,Q,Ct,Ur,Jo,Wr,Hr,Vr,St,Br,zt,Gr,Jr,Yr,K,Kr,Yo,Zr,ea,Ko,ta,oa,Zo,na,sa,en,ra,aa,ia,we,la,tn,pa,ma,on,da,ca,ua,ie,ha,nn,fa,ga,sn,_a,$a,rn,va,xa,ka,an,wa,ba,De,Pt,Ta,ln,Oa,Ma,Le,At,qa,Nt,ya,pn,Ea,ja,Ra,Xe,It,Fa,mn,Ca,Es,be,Qe,dn,Dt,Sa,cn,za,js,le,Lt,Pa,un,Aa,Na,W,Xt,Ia,Te,Da,hn,La,Xa,fn,Qa,Ua,Wa,Ue,Ha,We,Va,He,Rs,Oe,Ve,gn,Qt,Ba,_n,Ga,Fs,S,Ut,Ja,$n,Ya,Ka,Wt,Za,vn,ei,ti,oi,xn,ni,si,H,Ht,ri,Me,ai,kn,ii,li,wn,pi,mi,di,Be,ci,Ge,ui,Je,hi,Ye,Vt,fi,bn,gi,Cs,qe,Ke,Tn,Bt,_i,On,$i,Ss,z,Gt,vi,Mn,xi,ki,Jt,wi,qn,bi,Ti,Oi,yn,Mi,qi,V,Yt,yi,ye,Ei,En,ji,Ri,jn,Fi,Ci,Si,Ze,zi,et,Pi,tt,Ai,ot,Kt,Ni,Rn,Ii,zs,Ee,nt,Fn,Zt,Di,Cn,Li,Ps,P,eo,Xi,Sn,Qi,Ui,to,Wi,zn,Hi,Vi,Bi,Pn,Gi,Ji,B,oo,Yi,je,Ki,An,Zi,el,Nn,tl,ol,nl,st,sl,rt,rl,at,al,it,no,il,In,ll,As,Re,lt,Dn,so,pl,Ln,ml,Ns,pe,ro,dl,Xn,cl,ul,G,ao,hl,Fe,fl,Qn,gl,_l,Un,$l,vl,xl,pt,kl,mt,wl,dt,Is,Ce,ct,Wn,io,bl,Hn,Tl,Ds,A,lo,Ol,Vn,Ml,ql,po,yl,Bn,El,jl,Rl,Gn,Fl,Cl,X,mo,Sl,Se,zl,Jn,Pl,Al,Yn,Nl,Il,Dl,ut,Ll,ht,Xl,ft,Ql,gt,Ul,_t,co,Wl,Kn,Hl,Ls,ze,$t,Zn,uo,Vl,es,Bl,Xs,me,ho,Gl,ts,Jl,Yl,J,fo,Kl,Pe,Zl,os,ep,tp,ns,op,np,sp,vt,rp,xt,ap,kt,Qs,Ae,wt,ss,go,ip,rs,lp,Us,N,_o,pp,as,mp,dp,$o,cp,is,up,hp,fp,ls,gp,_p,Y,vo,$p,Ne,vp,ps,xp,kp,ms,wp,bp,Tp,bt,Op,Tt,Mp,Ot,qp,Mt,xo,yp,ds,Ep,Ws;return n=new ke({}),Et=new ke({}),jt=new F({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": typing.Optional[str] = None"},{name:"latest_model_name",val:": str = 'model.onnx'"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L110"}}),Pt=new F({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, <em>optional</em>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L364",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),At=new F({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L210"}}),It=new F({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L184",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),Dt=new ke({}),Lt=new F({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"config",val:": PretrainedConfig"},{name:"decoder_session",val:": InferenceSession"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": str = ''"},{name:"last_decoder_model_name",val:": str = 'decoder_model.onnx'"},{name:"last_decoder_with_past_model_name",val:": str = 'decoder_with_past_model.onnx'"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L610"}}),Xt=new F({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L620"}}),Ue=new yt({props:{$$slots:{default:[rd]},$$scope:{ctx:E}}}),We=new I({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[ad]},$$scope:{ctx:E}}}),He=new I({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[id]},$$scope:{ctx:E}}}),Qt=new ke({}),Ut=new F({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L452"}}),Ht=new F({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L537"}}),Be=new yt({props:{$$slots:{default:[ld]},$$scope:{ctx:E}}}),Ge=new I({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[pd]},$$scope:{ctx:E}}}),Je=new I({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[md]},$$scope:{ctx:E}}}),Vt=new F({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L466"}}),Bt=new ke({}),Gt=new F({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1332"}}),Yt=new F({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1387"}}),Ze=new yt({props:{$$slots:{default:[dd]},$$scope:{ctx:E}}}),et=new I({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[cd]},$$scope:{ctx:E}}}),tt=new I({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[ud]},$$scope:{ctx:E}}}),Kt=new F({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1345"}}),Zt=new ke({}),eo=new F({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L625"}}),oo=new F({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L717"}}),st=new yt({props:{$$slots:{default:[hd]},$$scope:{ctx:E}}}),rt=new I({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[fd]},$$scope:{ctx:E}}}),at=new I({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[gd]},$$scope:{ctx:E}}}),no=new F({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L638"}}),so=new ke({}),ro=new F({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": str = ''"},{name:"last_encoder_model_name",val:": str = 'encoder_model.onnx'"},{name:"last_decoder_model_name",val:": str = 'decoder_model.onnx'"},{name:"last_decoder_with_past_model_name",val:": str = 'decoder_with_past_model.onnx'"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1099"}}),ao=new F({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1123"}}),pt=new yt({props:{$$slots:{default:[_d]},$$scope:{ctx:E}}}),mt=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[$d]},$$scope:{ctx:E}}}),dt=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[vd]},$$scope:{ctx:E}}}),io=new ke({}),lo=new F({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L825"}}),mo=new F({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L908"}}),ut=new yt({props:{$$slots:{default:[xd]},$$scope:{ctx:E}}}),ht=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[kd]},$$scope:{ctx:E}}}),ft=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[wd]},$$scope:{ctx:E}}}),gt=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[bd]},$$scope:{ctx:E}}}),co=new F({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L839"}}),uo=new ke({}),ho=new F({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": str = ''"},{name:"last_encoder_model_name",val:": str = 'encoder_model.onnx'"},{name:"last_decoder_model_name",val:": str = 'decoder_model.onnx'"},{name:"last_decoder_with_past_model_name",val:": str = 'decoder_with_past_model.onnx'"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1208"}}),fo=new F({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1242"}}),vt=new yt({props:{$$slots:{default:[Td]},$$scope:{ctx:E}}}),xt=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[Od]},$$scope:{ctx:E}}}),kt=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[Md]},$$scope:{ctx:E}}}),go=new ke({}),_o=new F({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L996"}}),vo=new F({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1079"}}),bt=new yt({props:{$$slots:{default:[qd]},$$scope:{ctx:E}}}),Tt=new I({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[yd]},$$scope:{ctx:E}}}),Ot=new I({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[Ed]},$$scope:{ctx:E}}}),xo=new F({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1009"}}),{c(){s=r("meta"),_=h(),d=r("h1"),u=r("a"),g=r("span"),k(n.$$.fragment),m=h(),q=r("span"),c=l("Models"),v=h(),j=r("h2"),Ie=r("a"),No=r("span"),k(Et.$$.fragment),fr=h(),Io=r("span"),gr=l("ORTModel"),ys=h(),R=r("div"),k(jt.$$.fragment),_r=h(),Do=r("p"),$r=l("Base class for implementing models using ONNX Runtime."),vr=h(),Rt=r("p"),xr=l(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Lo=r("code"),kr=l("optimum.exporters.onnx"),wr=l(" toolchain."),br=h(),Xo=r("p"),Tr=l("Class attributes:"),Or=h(),Ft=r("ul"),re=r("li"),Mr=l("model_type ("),Qo=r("code"),qr=l("str"),yr=l(", "),Uo=r("em"),Er=l("optional"),jr=l(", defaults to "),Wo=r("code"),Rr=l('"onnx_model"'),Fr=l(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),Cr=h(),ae=r("li"),Sr=l("auto_model_class ("),Ho=r("code"),zr=l("Type"),Pr=l(", "),Vo=r("em"),Ar=l("optional"),Nr=l(", defaults to "),Bo=r("code"),Ir=l("AutoModel"),Dr=l(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),Lr=h(),Go=r("p"),Xr=l("Common attributes:"),Qr=h(),Q=r("ul"),Ct=r("li"),Ur=l("model ("),Jo=r("code"),Wr=l("ort.InferenceSession"),Hr=l(") \u2014 The ONNX Runtime InferenceSession that is running the model."),Vr=h(),St=r("li"),Br=l("config ("),zt=r("a"),Gr=l("PretrainedConfig"),Jr=l(" \u2014 The configuration of the model."),Yr=h(),K=r("li"),Kr=l("use_io_binding ("),Yo=r("code"),Zr=l("bool"),ea=l(", "),Ko=r("em"),ta=l("optional"),oa=l(", defaults to "),Zo=r("code"),na=l("True"),sa=l(") \u2014 Whether to use I/O bindings with "),en=r("strong"),ra=l(`ONNX Runtime
with the CUDAExecutionProvider`),aa=l(", this can significantly speedup inference depending on the task."),ia=h(),we=r("li"),la=l("model_save_dir ("),tn=r("code"),pa=l("Optional[str]"),ma=l(", "),on=r("em"),da=l("optional"),ca=l(`) \u2014 The directory where the model exported to ONNX will be saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),ua=h(),ie=r("li"),ha=l("latest_model_name ("),nn=r("code"),fa=l("str"),ga=l(", "),sn=r("em"),_a=l("optional"),$a=l(", defaults to "),rn=r("code"),va=l('"model.onnx"'),xa=l(" \u2014 The name of the last ONNX model file."),ka=h(),an=r("li"),wa=l("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),ba=h(),De=r("div"),k(Pt.$$.fragment),Ta=h(),ln=r("p"),Oa=l("Instantiate a pretrained model from a pre-trained model configuration."),Ma=h(),Le=r("div"),k(At.$$.fragment),qa=h(),Nt=r("p"),ya=l("Loads an ONNX Inference session with a given provider. Default provider is "),pn=r("code"),Ea=l("CPUExecutionProvider"),ja=l(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Ra=h(),Xe=r("div"),k(It.$$.fragment),Fa=h(),mn=r("p"),Ca=l("Changes the ONNX Runtime provider according to the device."),Es=h(),be=r("h2"),Qe=r("a"),dn=r("span"),k(Dt.$$.fragment),Sa=h(),cn=r("span"),za=l("ORTModelForCausalLM"),js=h(),le=r("div"),k(Lt.$$.fragment),Pa=h(),un=r("p"),Aa=l("ONNX model with a causal language modeling head for ONNX Runtime inference."),Na=h(),W=r("div"),k(Xt.$$.fragment),Ia=h(),Te=r("p"),Da=l("The "),hn=r("code"),La=l("ORTModelForCausalLM"),Xa=l(" forward method, overrides the "),fn=r("code"),Qa=l("__call__"),Ua=l(" special method."),Wa=h(),k(Ue.$$.fragment),Ha=h(),k(We.$$.fragment),Va=h(),k(He.$$.fragment),Rs=h(),Oe=r("h2"),Ve=r("a"),gn=r("span"),k(Qt.$$.fragment),Ba=h(),_n=r("span"),Ga=l("ORTModelForFeatureExtraction"),Fs=h(),S=r("div"),k(Ut.$$.fragment),Ja=h(),$n=r("p"),Ya=l("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Ka=h(),Wt=r("p"),Za=l("This model inherits from [~"),vn=r("code"),ei=l("onnxruntime.modeling_ort.ORTModel"),ti=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),oi=h(),xn=r("p"),ni=l("Feature Extraction model for ONNX."),si=h(),H=r("div"),k(Ht.$$.fragment),ri=h(),Me=r("p"),ai=l("The "),kn=r("code"),ii=l("ORTModelForFeatureExtraction"),li=l(" forward method, overrides the "),wn=r("code"),pi=l("__call__"),mi=l(" special method."),di=h(),k(Be.$$.fragment),ci=h(),k(Ge.$$.fragment),ui=h(),k(Je.$$.fragment),hi=h(),Ye=r("div"),k(Vt.$$.fragment),fi=h(),bn=r("p"),gi=l("Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Cs=h(),qe=r("h2"),Ke=r("a"),Tn=r("span"),k(Bt.$$.fragment),_i=h(),On=r("span"),$i=l("ORTModelForImageClassification"),Ss=h(),z=r("div"),k(Gt.$$.fragment),vi=h(),Mn=r("p"),xi=l("Onnx Model for image-classification tasks."),ki=h(),Jt=r("p"),wi=l("This model inherits from [~"),qn=r("code"),bi=l("onnxruntime.modeling_ort.ORTModel"),Ti=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Oi=h(),yn=r("p"),Mi=l("Image Classification model for ONNX."),qi=h(),V=r("div"),k(Yt.$$.fragment),yi=h(),ye=r("p"),Ei=l("The "),En=r("code"),ji=l("ORTModelForImageClassification"),Ri=l(" forward method, overrides the "),jn=r("code"),Fi=l("__call__"),Ci=l(" special method."),Si=h(),k(Ze.$$.fragment),zi=h(),k(et.$$.fragment),Pi=h(),k(tt.$$.fragment),Ai=h(),ot=r("div"),k(Kt.$$.fragment),Ni=h(),Rn=r("p"),Ii=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),zs=h(),Ee=r("h2"),nt=r("a"),Fn=r("span"),k(Zt.$$.fragment),Di=h(),Cn=r("span"),Li=l("ORTModelForQuestionAnswering"),Ps=h(),P=r("div"),k(eo.$$.fragment),Xi=h(),Sn=r("p"),Qi=l("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Ui=h(),to=r("p"),Wi=l("This model inherits from [~"),zn=r("code"),Hi=l("onnxruntime.modeling_ort.ORTModel"),Vi=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Bi=h(),Pn=r("p"),Gi=l("Question Answering model for ONNX."),Ji=h(),B=r("div"),k(oo.$$.fragment),Yi=h(),je=r("p"),Ki=l("The "),An=r("code"),Zi=l("ORTModelForQuestionAnswering"),el=l(" forward method, overrides the "),Nn=r("code"),tl=l("__call__"),ol=l(" special method."),nl=h(),k(st.$$.fragment),sl=h(),k(rt.$$.fragment),rl=h(),k(at.$$.fragment),al=h(),it=r("div"),k(no.$$.fragment),il=h(),In=r("p"),ll=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),As=h(),Re=r("h2"),lt=r("a"),Dn=r("span"),k(so.$$.fragment),pl=h(),Ln=r("span"),ml=l("ORTModelForSeq2SeqLM"),Ns=h(),pe=r("div"),k(ro.$$.fragment),dl=h(),Xn=r("p"),cl=l("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),ul=h(),G=r("div"),k(ao.$$.fragment),hl=h(),Fe=r("p"),fl=l("The "),Qn=r("code"),gl=l("ORTModelForSeq2SeqLM"),_l=l(" forward method, overrides the "),Un=r("code"),$l=l("__call__"),vl=l(" special method."),xl=h(),k(pt.$$.fragment),kl=h(),k(mt.$$.fragment),wl=h(),k(dt.$$.fragment),Is=h(),Ce=r("h2"),ct=r("a"),Wn=r("span"),k(io.$$.fragment),bl=h(),Hn=r("span"),Tl=l("ORTModelForSequenceClassification"),Ds=h(),A=r("div"),k(lo.$$.fragment),Ol=h(),Vn=r("p"),Ml=l(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),ql=h(),po=r("p"),yl=l("This model inherits from [~"),Bn=r("code"),El=l("onnxruntime.modeling_ort.ORTModel"),jl=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Rl=h(),Gn=r("p"),Fl=l("Sequence Classification model for ONNX."),Cl=h(),X=r("div"),k(mo.$$.fragment),Sl=h(),Se=r("p"),zl=l("The "),Jn=r("code"),Pl=l("ORTModelForSequenceClassification"),Al=l(" forward method, overrides the "),Yn=r("code"),Nl=l("__call__"),Il=l(" special method."),Dl=h(),k(ut.$$.fragment),Ll=h(),k(ht.$$.fragment),Xl=h(),k(ft.$$.fragment),Ql=h(),k(gt.$$.fragment),Ul=h(),_t=r("div"),k(co.$$.fragment),Wl=h(),Kn=r("p"),Hl=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Ls=h(),ze=r("h2"),$t=r("a"),Zn=r("span"),k(uo.$$.fragment),Vl=h(),es=r("span"),Bl=l("ORTModelForSpeechSeq2Seq"),Xs=h(),me=r("div"),k(ho.$$.fragment),Gl=h(),ts=r("p"),Jl=l("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Yl=h(),J=r("div"),k(fo.$$.fragment),Kl=h(),Pe=r("p"),Zl=l("The "),os=r("code"),ep=l("ORTModelForSpeechSeq2Seq"),tp=l(" forward method, overrides the "),ns=r("code"),op=l("__call__"),np=l(" special method."),sp=h(),k(vt.$$.fragment),rp=h(),k(xt.$$.fragment),ap=h(),k(kt.$$.fragment),Qs=h(),Ae=r("h2"),wt=r("a"),ss=r("span"),k(go.$$.fragment),ip=h(),rs=r("span"),lp=l("ORTModelForTokenClassification"),Us=h(),N=r("div"),k(_o.$$.fragment),pp=h(),as=r("p"),mp=l(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),dp=h(),$o=r("p"),cp=l("This model inherits from [~"),is=r("code"),up=l("onnxruntime.modeling_ort.ORTModel"),hp=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),fp=h(),ls=r("p"),gp=l("Token Classification model for ONNX."),_p=h(),Y=r("div"),k(vo.$$.fragment),$p=h(),Ne=r("p"),vp=l("The "),ps=r("code"),xp=l("ORTModelForTokenClassification"),kp=l(" forward method, overrides the "),ms=r("code"),wp=l("__call__"),bp=l(" special method."),Tp=h(),k(bt.$$.fragment),Op=h(),k(Tt.$$.fragment),Mp=h(),k(Ot.$$.fragment),qp=h(),Mt=r("div"),k(xo.$$.fragment),yp=h(),ds=r("p"),Ep=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),this.h()},l(o){const $=nd('[data-svelte="svelte-1phssyn"]',document.head);s=a($,"META",{name:!0,content:!0}),$.forEach(t),_=f(o),d=a(o,"H1",{class:!0});var ko=i(d);u=a(ko,"A",{id:!0,class:!0,href:!0});var cs=i(u);g=a(cs,"SPAN",{});var us=i(g);w(n.$$.fragment,us),us.forEach(t),cs.forEach(t),m=f(ko),q=a(ko,"SPAN",{});var hs=i(q);c=p(hs,"Models"),hs.forEach(t),ko.forEach(t),v=f(o),j=a(o,"H2",{class:!0});var wo=i(j);Ie=a(wo,"A",{id:!0,class:!0,href:!0});var fs=i(Ie);No=a(fs,"SPAN",{});var gs=i(No);w(Et.$$.fragment,gs),gs.forEach(t),fs.forEach(t),fr=f(wo),Io=a(wo,"SPAN",{});var _s=i(Io);gr=p(_s,"ORTModel"),_s.forEach(t),wo.forEach(t),ys=f(o),R=a(o,"DIV",{class:!0});var C=i(R);w(jt.$$.fragment,C),_r=f(C),Do=a(C,"P",{});var $s=i(Do);$r=p($s,"Base class for implementing models using ONNX Runtime."),$s.forEach(t),vr=f(C),Rt=a(C,"P",{});var bo=i(Rt);xr=p(bo,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Lo=a(bo,"CODE",{});var vs=i(Lo);kr=p(vs,"optimum.exporters.onnx"),vs.forEach(t),wr=p(bo," toolchain."),bo.forEach(t),br=f(C),Xo=a(C,"P",{});var xs=i(Xo);Tr=p(xs,"Class attributes:"),xs.forEach(t),Or=f(C),Ft=a(C,"UL",{});var To=i(Ft);re=a(To,"LI",{});var de=i(re);Mr=p(de,"model_type ("),Qo=a(de,"CODE",{});var ks=i(Qo);qr=p(ks,"str"),ks.forEach(t),yr=p(de,", "),Uo=a(de,"EM",{});var ws=i(Uo);Er=p(ws,"optional"),ws.forEach(t),jr=p(de,", defaults to "),Wo=a(de,"CODE",{});var bs=i(Wo);Rr=p(bs,'"onnx_model"'),bs.forEach(t),Fr=p(de,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),de.forEach(t),Cr=f(To),ae=a(To,"LI",{});var ce=i(ae);Sr=p(ce,"auto_model_class ("),Ho=a(ce,"CODE",{});var Ts=i(Ho);zr=p(Ts,"Type"),Ts.forEach(t),Pr=p(ce,", "),Vo=a(ce,"EM",{});var Os=i(Vo);Ar=p(Os,"optional"),Os.forEach(t),Nr=p(ce,", defaults to "),Bo=a(ce,"CODE",{});var Ms=i(Bo);Ir=p(Ms,"AutoModel"),Ms.forEach(t),Dr=p(ce,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),ce.forEach(t),To.forEach(t),Lr=f(C),Go=a(C,"P",{});var qs=i(Go);Xr=p(qs,"Common attributes:"),qs.forEach(t),Qr=f(C),Q=a(C,"UL",{});var U=i(Q);Ct=a(U,"LI",{});var Oo=i(Ct);Ur=p(Oo,"model ("),Jo=a(Oo,"CODE",{});var jp=i(Jo);Wr=p(jp,"ort.InferenceSession"),jp.forEach(t),Hr=p(Oo,") \u2014 The ONNX Runtime InferenceSession that is running the model."),Oo.forEach(t),Vr=f(U),St=a(U,"LI",{});var Hs=i(St);Br=p(Hs,"config ("),zt=a(Hs,"A",{href:!0,rel:!0});var Rp=i(zt);Gr=p(Rp,"PretrainedConfig"),Rp.forEach(t),Jr=p(Hs," \u2014 The configuration of the model."),Hs.forEach(t),Yr=f(U),K=a(U,"LI",{});var ue=i(K);Kr=p(ue,"use_io_binding ("),Yo=a(ue,"CODE",{});var Fp=i(Yo);Zr=p(Fp,"bool"),Fp.forEach(t),ea=p(ue,", "),Ko=a(ue,"EM",{});var Cp=i(Ko);ta=p(Cp,"optional"),Cp.forEach(t),oa=p(ue,", defaults to "),Zo=a(ue,"CODE",{});var Sp=i(Zo);na=p(Sp,"True"),Sp.forEach(t),sa=p(ue,") \u2014 Whether to use I/O bindings with "),en=a(ue,"STRONG",{});var zp=i(en);ra=p(zp,`ONNX Runtime
with the CUDAExecutionProvider`),zp.forEach(t),aa=p(ue,", this can significantly speedup inference depending on the task."),ue.forEach(t),ia=f(U),we=a(U,"LI",{});var Mo=i(we);la=p(Mo,"model_save_dir ("),tn=a(Mo,"CODE",{});var Pp=i(tn);pa=p(Pp,"Optional[str]"),Pp.forEach(t),ma=p(Mo,", "),on=a(Mo,"EM",{});var Ap=i(on);da=p(Ap,"optional"),Ap.forEach(t),ca=p(Mo,`) \u2014 The directory where the model exported to ONNX will be saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Mo.forEach(t),ua=f(U),ie=a(U,"LI",{});var qt=i(ie);ha=p(qt,"latest_model_name ("),nn=a(qt,"CODE",{});var Np=i(nn);fa=p(Np,"str"),Np.forEach(t),ga=p(qt,", "),sn=a(qt,"EM",{});var Ip=i(sn);_a=p(Ip,"optional"),Ip.forEach(t),$a=p(qt,", defaults to "),rn=a(qt,"CODE",{});var Dp=i(rn);va=p(Dp,'"model.onnx"'),Dp.forEach(t),xa=p(qt," \u2014 The name of the last ONNX model file."),qt.forEach(t),ka=f(U),an=a(U,"LI",{});var Lp=i(an);wa=p(Lp,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Lp.forEach(t),U.forEach(t),ba=f(C),De=a(C,"DIV",{class:!0});var Vs=i(De);w(Pt.$$.fragment,Vs),Ta=f(Vs),ln=a(Vs,"P",{});var Xp=i(ln);Oa=p(Xp,"Instantiate a pretrained model from a pre-trained model configuration."),Xp.forEach(t),Vs.forEach(t),Ma=f(C),Le=a(C,"DIV",{class:!0});var Bs=i(Le);w(At.$$.fragment,Bs),qa=f(Bs),Nt=a(Bs,"P",{});var Gs=i(Nt);ya=p(Gs,"Loads an ONNX Inference session with a given provider. Default provider is "),pn=a(Gs,"CODE",{});var Qp=i(pn);Ea=p(Qp,"CPUExecutionProvider"),Qp.forEach(t),ja=p(Gs,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Gs.forEach(t),Bs.forEach(t),Ra=f(C),Xe=a(C,"DIV",{class:!0});var Js=i(Xe);w(It.$$.fragment,Js),Fa=f(Js),mn=a(Js,"P",{});var Up=i(mn);Ca=p(Up,"Changes the ONNX Runtime provider according to the device."),Up.forEach(t),Js.forEach(t),C.forEach(t),Es=f(o),be=a(o,"H2",{class:!0});var Ys=i(be);Qe=a(Ys,"A",{id:!0,class:!0,href:!0});var Wp=i(Qe);dn=a(Wp,"SPAN",{});var Hp=i(dn);w(Dt.$$.fragment,Hp),Hp.forEach(t),Wp.forEach(t),Sa=f(Ys),cn=a(Ys,"SPAN",{});var Vp=i(cn);za=p(Vp,"ORTModelForCausalLM"),Vp.forEach(t),Ys.forEach(t),js=f(o),le=a(o,"DIV",{class:!0});var qo=i(le);w(Lt.$$.fragment,qo),Pa=f(qo),un=a(qo,"P",{});var Bp=i(un);Aa=p(Bp,"ONNX model with a causal language modeling head for ONNX Runtime inference."),Bp.forEach(t),Na=f(qo),W=a(qo,"DIV",{class:!0});var he=i(W);w(Xt.$$.fragment,he),Ia=f(he),Te=a(he,"P",{});var yo=i(Te);Da=p(yo,"The "),hn=a(yo,"CODE",{});var Gp=i(hn);La=p(Gp,"ORTModelForCausalLM"),Gp.forEach(t),Xa=p(yo," forward method, overrides the "),fn=a(yo,"CODE",{});var Jp=i(fn);Qa=p(Jp,"__call__"),Jp.forEach(t),Ua=p(yo," special method."),yo.forEach(t),Wa=f(he),w(Ue.$$.fragment,he),Ha=f(he),w(We.$$.fragment,he),Va=f(he),w(He.$$.fragment,he),he.forEach(t),qo.forEach(t),Rs=f(o),Oe=a(o,"H2",{class:!0});var Ks=i(Oe);Ve=a(Ks,"A",{id:!0,class:!0,href:!0});var Yp=i(Ve);gn=a(Yp,"SPAN",{});var Kp=i(gn);w(Qt.$$.fragment,Kp),Kp.forEach(t),Yp.forEach(t),Ba=f(Ks),_n=a(Ks,"SPAN",{});var Zp=i(_n);Ga=p(Zp,"ORTModelForFeatureExtraction"),Zp.forEach(t),Ks.forEach(t),Fs=f(o),S=a(o,"DIV",{class:!0});var Z=i(S);w(Ut.$$.fragment,Z),Ja=f(Z),$n=a(Z,"P",{});var em=i($n);Ya=p(em,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),em.forEach(t),Ka=f(Z),Wt=a(Z,"P",{});var Zs=i(Wt);Za=p(Zs,"This model inherits from [~"),vn=a(Zs,"CODE",{});var tm=i(vn);ei=p(tm,"onnxruntime.modeling_ort.ORTModel"),tm.forEach(t),ti=p(Zs,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Zs.forEach(t),oi=f(Z),xn=a(Z,"P",{});var om=i(xn);ni=p(om,"Feature Extraction model for ONNX."),om.forEach(t),si=f(Z),H=a(Z,"DIV",{class:!0});var fe=i(H);w(Ht.$$.fragment,fe),ri=f(fe),Me=a(fe,"P",{});var Eo=i(Me);ai=p(Eo,"The "),kn=a(Eo,"CODE",{});var nm=i(kn);ii=p(nm,"ORTModelForFeatureExtraction"),nm.forEach(t),li=p(Eo," forward method, overrides the "),wn=a(Eo,"CODE",{});var sm=i(wn);pi=p(sm,"__call__"),sm.forEach(t),mi=p(Eo," special method."),Eo.forEach(t),di=f(fe),w(Be.$$.fragment,fe),ci=f(fe),w(Ge.$$.fragment,fe),ui=f(fe),w(Je.$$.fragment,fe),fe.forEach(t),hi=f(Z),Ye=a(Z,"DIV",{class:!0});var er=i(Ye);w(Vt.$$.fragment,er),fi=f(er),bn=a(er,"P",{});var rm=i(bn);gi=p(rm,"Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),rm.forEach(t),er.forEach(t),Z.forEach(t),Cs=f(o),qe=a(o,"H2",{class:!0});var tr=i(qe);Ke=a(tr,"A",{id:!0,class:!0,href:!0});var am=i(Ke);Tn=a(am,"SPAN",{});var im=i(Tn);w(Bt.$$.fragment,im),im.forEach(t),am.forEach(t),_i=f(tr),On=a(tr,"SPAN",{});var lm=i(On);$i=p(lm,"ORTModelForImageClassification"),lm.forEach(t),tr.forEach(t),Ss=f(o),z=a(o,"DIV",{class:!0});var ee=i(z);w(Gt.$$.fragment,ee),vi=f(ee),Mn=a(ee,"P",{});var pm=i(Mn);xi=p(pm,"Onnx Model for image-classification tasks."),pm.forEach(t),ki=f(ee),Jt=a(ee,"P",{});var or=i(Jt);wi=p(or,"This model inherits from [~"),qn=a(or,"CODE",{});var mm=i(qn);bi=p(mm,"onnxruntime.modeling_ort.ORTModel"),mm.forEach(t),Ti=p(or,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),or.forEach(t),Oi=f(ee),yn=a(ee,"P",{});var dm=i(yn);Mi=p(dm,"Image Classification model for ONNX."),dm.forEach(t),qi=f(ee),V=a(ee,"DIV",{class:!0});var ge=i(V);w(Yt.$$.fragment,ge),yi=f(ge),ye=a(ge,"P",{});var jo=i(ye);Ei=p(jo,"The "),En=a(jo,"CODE",{});var cm=i(En);ji=p(cm,"ORTModelForImageClassification"),cm.forEach(t),Ri=p(jo," forward method, overrides the "),jn=a(jo,"CODE",{});var um=i(jn);Fi=p(um,"__call__"),um.forEach(t),Ci=p(jo," special method."),jo.forEach(t),Si=f(ge),w(Ze.$$.fragment,ge),zi=f(ge),w(et.$$.fragment,ge),Pi=f(ge),w(tt.$$.fragment,ge),ge.forEach(t),Ai=f(ee),ot=a(ee,"DIV",{class:!0});var nr=i(ot);w(Kt.$$.fragment,nr),Ni=f(nr),Rn=a(nr,"P",{});var hm=i(Rn);Ii=p(hm,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),hm.forEach(t),nr.forEach(t),ee.forEach(t),zs=f(o),Ee=a(o,"H2",{class:!0});var sr=i(Ee);nt=a(sr,"A",{id:!0,class:!0,href:!0});var fm=i(nt);Fn=a(fm,"SPAN",{});var gm=i(Fn);w(Zt.$$.fragment,gm),gm.forEach(t),fm.forEach(t),Di=f(sr),Cn=a(sr,"SPAN",{});var _m=i(Cn);Li=p(_m,"ORTModelForQuestionAnswering"),_m.forEach(t),sr.forEach(t),Ps=f(o),P=a(o,"DIV",{class:!0});var te=i(P);w(eo.$$.fragment,te),Xi=f(te),Sn=a(te,"P",{});var $m=i(Sn);Qi=p($m,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),$m.forEach(t),Ui=f(te),to=a(te,"P",{});var rr=i(to);Wi=p(rr,"This model inherits from [~"),zn=a(rr,"CODE",{});var vm=i(zn);Hi=p(vm,"onnxruntime.modeling_ort.ORTModel"),vm.forEach(t),Vi=p(rr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),rr.forEach(t),Bi=f(te),Pn=a(te,"P",{});var xm=i(Pn);Gi=p(xm,"Question Answering model for ONNX."),xm.forEach(t),Ji=f(te),B=a(te,"DIV",{class:!0});var _e=i(B);w(oo.$$.fragment,_e),Yi=f(_e),je=a(_e,"P",{});var Ro=i(je);Ki=p(Ro,"The "),An=a(Ro,"CODE",{});var km=i(An);Zi=p(km,"ORTModelForQuestionAnswering"),km.forEach(t),el=p(Ro," forward method, overrides the "),Nn=a(Ro,"CODE",{});var wm=i(Nn);tl=p(wm,"__call__"),wm.forEach(t),ol=p(Ro," special method."),Ro.forEach(t),nl=f(_e),w(st.$$.fragment,_e),sl=f(_e),w(rt.$$.fragment,_e),rl=f(_e),w(at.$$.fragment,_e),_e.forEach(t),al=f(te),it=a(te,"DIV",{class:!0});var ar=i(it);w(no.$$.fragment,ar),il=f(ar),In=a(ar,"P",{});var bm=i(In);ll=p(bm,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),bm.forEach(t),ar.forEach(t),te.forEach(t),As=f(o),Re=a(o,"H2",{class:!0});var ir=i(Re);lt=a(ir,"A",{id:!0,class:!0,href:!0});var Tm=i(lt);Dn=a(Tm,"SPAN",{});var Om=i(Dn);w(so.$$.fragment,Om),Om.forEach(t),Tm.forEach(t),pl=f(ir),Ln=a(ir,"SPAN",{});var Mm=i(Ln);ml=p(Mm,"ORTModelForSeq2SeqLM"),Mm.forEach(t),ir.forEach(t),Ns=f(o),pe=a(o,"DIV",{class:!0});var Fo=i(pe);w(ro.$$.fragment,Fo),dl=f(Fo),Xn=a(Fo,"P",{});var qm=i(Xn);cl=p(qm,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),qm.forEach(t),ul=f(Fo),G=a(Fo,"DIV",{class:!0});var $e=i(G);w(ao.$$.fragment,$e),hl=f($e),Fe=a($e,"P",{});var Co=i(Fe);fl=p(Co,"The "),Qn=a(Co,"CODE",{});var ym=i(Qn);gl=p(ym,"ORTModelForSeq2SeqLM"),ym.forEach(t),_l=p(Co," forward method, overrides the "),Un=a(Co,"CODE",{});var Em=i(Un);$l=p(Em,"__call__"),Em.forEach(t),vl=p(Co," special method."),Co.forEach(t),xl=f($e),w(pt.$$.fragment,$e),kl=f($e),w(mt.$$.fragment,$e),wl=f($e),w(dt.$$.fragment,$e),$e.forEach(t),Fo.forEach(t),Is=f(o),Ce=a(o,"H2",{class:!0});var lr=i(Ce);ct=a(lr,"A",{id:!0,class:!0,href:!0});var jm=i(ct);Wn=a(jm,"SPAN",{});var Rm=i(Wn);w(io.$$.fragment,Rm),Rm.forEach(t),jm.forEach(t),bl=f(lr),Hn=a(lr,"SPAN",{});var Fm=i(Hn);Tl=p(Fm,"ORTModelForSequenceClassification"),Fm.forEach(t),lr.forEach(t),Ds=f(o),A=a(o,"DIV",{class:!0});var oe=i(A);w(lo.$$.fragment,oe),Ol=f(oe),Vn=a(oe,"P",{});var Cm=i(Vn);Ml=p(Cm,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Cm.forEach(t),ql=f(oe),po=a(oe,"P",{});var pr=i(po);yl=p(pr,"This model inherits from [~"),Bn=a(pr,"CODE",{});var Sm=i(Bn);El=p(Sm,"onnxruntime.modeling_ort.ORTModel"),Sm.forEach(t),jl=p(pr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),pr.forEach(t),Rl=f(oe),Gn=a(oe,"P",{});var zm=i(Gn);Fl=p(zm,"Sequence Classification model for ONNX."),zm.forEach(t),Cl=f(oe),X=a(oe,"DIV",{class:!0});var ne=i(X);w(mo.$$.fragment,ne),Sl=f(ne),Se=a(ne,"P",{});var So=i(Se);zl=p(So,"The "),Jn=a(So,"CODE",{});var Pm=i(Jn);Pl=p(Pm,"ORTModelForSequenceClassification"),Pm.forEach(t),Al=p(So," forward method, overrides the "),Yn=a(So,"CODE",{});var Am=i(Yn);Nl=p(Am,"__call__"),Am.forEach(t),Il=p(So," special method."),So.forEach(t),Dl=f(ne),w(ut.$$.fragment,ne),Ll=f(ne),w(ht.$$.fragment,ne),Xl=f(ne),w(ft.$$.fragment,ne),Ql=f(ne),w(gt.$$.fragment,ne),ne.forEach(t),Ul=f(oe),_t=a(oe,"DIV",{class:!0});var mr=i(_t);w(co.$$.fragment,mr),Wl=f(mr),Kn=a(mr,"P",{});var Nm=i(Kn);Hl=p(Nm,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Nm.forEach(t),mr.forEach(t),oe.forEach(t),Ls=f(o),ze=a(o,"H2",{class:!0});var dr=i(ze);$t=a(dr,"A",{id:!0,class:!0,href:!0});var Im=i($t);Zn=a(Im,"SPAN",{});var Dm=i(Zn);w(uo.$$.fragment,Dm),Dm.forEach(t),Im.forEach(t),Vl=f(dr),es=a(dr,"SPAN",{});var Lm=i(es);Bl=p(Lm,"ORTModelForSpeechSeq2Seq"),Lm.forEach(t),dr.forEach(t),Xs=f(o),me=a(o,"DIV",{class:!0});var zo=i(me);w(ho.$$.fragment,zo),Gl=f(zo),ts=a(zo,"P",{});var Xm=i(ts);Jl=p(Xm,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Xm.forEach(t),Yl=f(zo),J=a(zo,"DIV",{class:!0});var ve=i(J);w(fo.$$.fragment,ve),Kl=f(ve),Pe=a(ve,"P",{});var Po=i(Pe);Zl=p(Po,"The "),os=a(Po,"CODE",{});var Qm=i(os);ep=p(Qm,"ORTModelForSpeechSeq2Seq"),Qm.forEach(t),tp=p(Po," forward method, overrides the "),ns=a(Po,"CODE",{});var Um=i(ns);op=p(Um,"__call__"),Um.forEach(t),np=p(Po," special method."),Po.forEach(t),sp=f(ve),w(vt.$$.fragment,ve),rp=f(ve),w(xt.$$.fragment,ve),ap=f(ve),w(kt.$$.fragment,ve),ve.forEach(t),zo.forEach(t),Qs=f(o),Ae=a(o,"H2",{class:!0});var cr=i(Ae);wt=a(cr,"A",{id:!0,class:!0,href:!0});var Wm=i(wt);ss=a(Wm,"SPAN",{});var Hm=i(ss);w(go.$$.fragment,Hm),Hm.forEach(t),Wm.forEach(t),ip=f(cr),rs=a(cr,"SPAN",{});var Vm=i(rs);lp=p(Vm,"ORTModelForTokenClassification"),Vm.forEach(t),cr.forEach(t),Us=f(o),N=a(o,"DIV",{class:!0});var se=i(N);w(_o.$$.fragment,se),pp=f(se),as=a(se,"P",{});var Bm=i(as);mp=p(Bm,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Bm.forEach(t),dp=f(se),$o=a(se,"P",{});var ur=i($o);cp=p(ur,"This model inherits from [~"),is=a(ur,"CODE",{});var Gm=i(is);up=p(Gm,"onnxruntime.modeling_ort.ORTModel"),Gm.forEach(t),hp=p(ur,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ur.forEach(t),fp=f(se),ls=a(se,"P",{});var Jm=i(ls);gp=p(Jm,"Token Classification model for ONNX."),Jm.forEach(t),_p=f(se),Y=a(se,"DIV",{class:!0});var xe=i(Y);w(vo.$$.fragment,xe),$p=f(xe),Ne=a(xe,"P",{});var Ao=i(Ne);vp=p(Ao,"The "),ps=a(Ao,"CODE",{});var Ym=i(ps);xp=p(Ym,"ORTModelForTokenClassification"),Ym.forEach(t),kp=p(Ao," forward method, overrides the "),ms=a(Ao,"CODE",{});var Km=i(ms);wp=p(Km,"__call__"),Km.forEach(t),bp=p(Ao," special method."),Ao.forEach(t),Tp=f(xe),w(bt.$$.fragment,xe),Op=f(xe),w(Tt.$$.fragment,xe),Mp=f(xe),w(Ot.$$.fragment,xe),xe.forEach(t),qp=f(se),Mt=a(se,"DIV",{class:!0});var hr=i(Mt);w(xo.$$.fragment,hr),yp=f(hr),ds=a(hr,"P",{});var Zm=i(ds);Ep=p(Zm,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),Zm.forEach(t),hr.forEach(t),se.forEach(t),this.h()},h(){y(s,"name","hf:doc:metadata"),y(s,"content",JSON.stringify(Rd)),y(u,"id","models"),y(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y(u,"href","#models"),y(d,"class","relative group"),y(Ie,"id","optimum.onnxruntime.ORTModel"),y(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y(Ie,"href","#optimum.onnxruntime.ORTModel"),y(j,"class","relative group"),y(zt,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),y(zt,"rel","nofollow"),y(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(Qe,"id","optimum.onnxruntime.ORTModelForCausalLM"),y(Qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y(Qe,"href","#optimum.onnxruntime.ORTModelForCausalLM"),y(be,"class","relative group"),y(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(Ve,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),y(Ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y(Ve,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),y(Oe,"class","relative group"),y(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(Ke,"id","optimum.onnxruntime.ORTModelForImageClassification"),y(Ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y(Ke,"href","#optimum.onnxruntime.ORTModelForImageClassification"),y(qe,"class","relative group"),y(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(nt,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),y(nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y(nt,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),y(Ee,"class","relative group"),y(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(lt,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),y(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y(lt,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),y(Re,"class","relative group"),y(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(ct,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),y(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y(ct,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),y(Ce,"class","relative group"),y(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y($t,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),y($t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y($t,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),y(ze,"class","relative group"),y(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(wt,"id","optimum.onnxruntime.ORTModelForTokenClassification"),y(wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y(wt,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),y(Ae,"class","relative group"),y(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(Mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,$){e(document.head,s),x(o,_,$),x(o,d,$),e(d,u),e(u,g),b(n,g,null),e(d,m),e(d,q),e(q,c),x(o,v,$),x(o,j,$),e(j,Ie),e(Ie,No),b(Et,No,null),e(j,fr),e(j,Io),e(Io,gr),x(o,ys,$),x(o,R,$),b(jt,R,null),e(R,_r),e(R,Do),e(Do,$r),e(R,vr),e(R,Rt),e(Rt,xr),e(Rt,Lo),e(Lo,kr),e(Rt,wr),e(R,br),e(R,Xo),e(Xo,Tr),e(R,Or),e(R,Ft),e(Ft,re),e(re,Mr),e(re,Qo),e(Qo,qr),e(re,yr),e(re,Uo),e(Uo,Er),e(re,jr),e(re,Wo),e(Wo,Rr),e(re,Fr),e(Ft,Cr),e(Ft,ae),e(ae,Sr),e(ae,Ho),e(Ho,zr),e(ae,Pr),e(ae,Vo),e(Vo,Ar),e(ae,Nr),e(ae,Bo),e(Bo,Ir),e(ae,Dr),e(R,Lr),e(R,Go),e(Go,Xr),e(R,Qr),e(R,Q),e(Q,Ct),e(Ct,Ur),e(Ct,Jo),e(Jo,Wr),e(Ct,Hr),e(Q,Vr),e(Q,St),e(St,Br),e(St,zt),e(zt,Gr),e(St,Jr),e(Q,Yr),e(Q,K),e(K,Kr),e(K,Yo),e(Yo,Zr),e(K,ea),e(K,Ko),e(Ko,ta),e(K,oa),e(K,Zo),e(Zo,na),e(K,sa),e(K,en),e(en,ra),e(K,aa),e(Q,ia),e(Q,we),e(we,la),e(we,tn),e(tn,pa),e(we,ma),e(we,on),e(on,da),e(we,ca),e(Q,ua),e(Q,ie),e(ie,ha),e(ie,nn),e(nn,fa),e(ie,ga),e(ie,sn),e(sn,_a),e(ie,$a),e(ie,rn),e(rn,va),e(ie,xa),e(Q,ka),e(Q,an),e(an,wa),e(R,ba),e(R,De),b(Pt,De,null),e(De,Ta),e(De,ln),e(ln,Oa),e(R,Ma),e(R,Le),b(At,Le,null),e(Le,qa),e(Le,Nt),e(Nt,ya),e(Nt,pn),e(pn,Ea),e(Nt,ja),e(R,Ra),e(R,Xe),b(It,Xe,null),e(Xe,Fa),e(Xe,mn),e(mn,Ca),x(o,Es,$),x(o,be,$),e(be,Qe),e(Qe,dn),b(Dt,dn,null),e(be,Sa),e(be,cn),e(cn,za),x(o,js,$),x(o,le,$),b(Lt,le,null),e(le,Pa),e(le,un),e(un,Aa),e(le,Na),e(le,W),b(Xt,W,null),e(W,Ia),e(W,Te),e(Te,Da),e(Te,hn),e(hn,La),e(Te,Xa),e(Te,fn),e(fn,Qa),e(Te,Ua),e(W,Wa),b(Ue,W,null),e(W,Ha),b(We,W,null),e(W,Va),b(He,W,null),x(o,Rs,$),x(o,Oe,$),e(Oe,Ve),e(Ve,gn),b(Qt,gn,null),e(Oe,Ba),e(Oe,_n),e(_n,Ga),x(o,Fs,$),x(o,S,$),b(Ut,S,null),e(S,Ja),e(S,$n),e($n,Ya),e(S,Ka),e(S,Wt),e(Wt,Za),e(Wt,vn),e(vn,ei),e(Wt,ti),e(S,oi),e(S,xn),e(xn,ni),e(S,si),e(S,H),b(Ht,H,null),e(H,ri),e(H,Me),e(Me,ai),e(Me,kn),e(kn,ii),e(Me,li),e(Me,wn),e(wn,pi),e(Me,mi),e(H,di),b(Be,H,null),e(H,ci),b(Ge,H,null),e(H,ui),b(Je,H,null),e(S,hi),e(S,Ye),b(Vt,Ye,null),e(Ye,fi),e(Ye,bn),e(bn,gi),x(o,Cs,$),x(o,qe,$),e(qe,Ke),e(Ke,Tn),b(Bt,Tn,null),e(qe,_i),e(qe,On),e(On,$i),x(o,Ss,$),x(o,z,$),b(Gt,z,null),e(z,vi),e(z,Mn),e(Mn,xi),e(z,ki),e(z,Jt),e(Jt,wi),e(Jt,qn),e(qn,bi),e(Jt,Ti),e(z,Oi),e(z,yn),e(yn,Mi),e(z,qi),e(z,V),b(Yt,V,null),e(V,yi),e(V,ye),e(ye,Ei),e(ye,En),e(En,ji),e(ye,Ri),e(ye,jn),e(jn,Fi),e(ye,Ci),e(V,Si),b(Ze,V,null),e(V,zi),b(et,V,null),e(V,Pi),b(tt,V,null),e(z,Ai),e(z,ot),b(Kt,ot,null),e(ot,Ni),e(ot,Rn),e(Rn,Ii),x(o,zs,$),x(o,Ee,$),e(Ee,nt),e(nt,Fn),b(Zt,Fn,null),e(Ee,Di),e(Ee,Cn),e(Cn,Li),x(o,Ps,$),x(o,P,$),b(eo,P,null),e(P,Xi),e(P,Sn),e(Sn,Qi),e(P,Ui),e(P,to),e(to,Wi),e(to,zn),e(zn,Hi),e(to,Vi),e(P,Bi),e(P,Pn),e(Pn,Gi),e(P,Ji),e(P,B),b(oo,B,null),e(B,Yi),e(B,je),e(je,Ki),e(je,An),e(An,Zi),e(je,el),e(je,Nn),e(Nn,tl),e(je,ol),e(B,nl),b(st,B,null),e(B,sl),b(rt,B,null),e(B,rl),b(at,B,null),e(P,al),e(P,it),b(no,it,null),e(it,il),e(it,In),e(In,ll),x(o,As,$),x(o,Re,$),e(Re,lt),e(lt,Dn),b(so,Dn,null),e(Re,pl),e(Re,Ln),e(Ln,ml),x(o,Ns,$),x(o,pe,$),b(ro,pe,null),e(pe,dl),e(pe,Xn),e(Xn,cl),e(pe,ul),e(pe,G),b(ao,G,null),e(G,hl),e(G,Fe),e(Fe,fl),e(Fe,Qn),e(Qn,gl),e(Fe,_l),e(Fe,Un),e(Un,$l),e(Fe,vl),e(G,xl),b(pt,G,null),e(G,kl),b(mt,G,null),e(G,wl),b(dt,G,null),x(o,Is,$),x(o,Ce,$),e(Ce,ct),e(ct,Wn),b(io,Wn,null),e(Ce,bl),e(Ce,Hn),e(Hn,Tl),x(o,Ds,$),x(o,A,$),b(lo,A,null),e(A,Ol),e(A,Vn),e(Vn,Ml),e(A,ql),e(A,po),e(po,yl),e(po,Bn),e(Bn,El),e(po,jl),e(A,Rl),e(A,Gn),e(Gn,Fl),e(A,Cl),e(A,X),b(mo,X,null),e(X,Sl),e(X,Se),e(Se,zl),e(Se,Jn),e(Jn,Pl),e(Se,Al),e(Se,Yn),e(Yn,Nl),e(Se,Il),e(X,Dl),b(ut,X,null),e(X,Ll),b(ht,X,null),e(X,Xl),b(ft,X,null),e(X,Ql),b(gt,X,null),e(A,Ul),e(A,_t),b(co,_t,null),e(_t,Wl),e(_t,Kn),e(Kn,Hl),x(o,Ls,$),x(o,ze,$),e(ze,$t),e($t,Zn),b(uo,Zn,null),e(ze,Vl),e(ze,es),e(es,Bl),x(o,Xs,$),x(o,me,$),b(ho,me,null),e(me,Gl),e(me,ts),e(ts,Jl),e(me,Yl),e(me,J),b(fo,J,null),e(J,Kl),e(J,Pe),e(Pe,Zl),e(Pe,os),e(os,ep),e(Pe,tp),e(Pe,ns),e(ns,op),e(Pe,np),e(J,sp),b(vt,J,null),e(J,rp),b(xt,J,null),e(J,ap),b(kt,J,null),x(o,Qs,$),x(o,Ae,$),e(Ae,wt),e(wt,ss),b(go,ss,null),e(Ae,ip),e(Ae,rs),e(rs,lp),x(o,Us,$),x(o,N,$),b(_o,N,null),e(N,pp),e(N,as),e(as,mp),e(N,dp),e(N,$o),e($o,cp),e($o,is),e(is,up),e($o,hp),e(N,fp),e(N,ls),e(ls,gp),e(N,_p),e(N,Y),b(vo,Y,null),e(Y,$p),e(Y,Ne),e(Ne,vp),e(Ne,ps),e(ps,xp),e(Ne,kp),e(Ne,ms),e(ms,wp),e(Ne,bp),e(Y,Tp),b(bt,Y,null),e(Y,Op),b(Tt,Y,null),e(Y,Mp),b(Ot,Y,null),e(N,qp),e(N,Mt),b(xo,Mt,null),e(Mt,yp),e(Mt,ds),e(ds,Ep),Ws=!0},p(o,[$]){const ko={};$&2&&(ko.$$scope={dirty:$,ctx:o}),Ue.$set(ko);const cs={};$&2&&(cs.$$scope={dirty:$,ctx:o}),We.$set(cs);const us={};$&2&&(us.$$scope={dirty:$,ctx:o}),He.$set(us);const hs={};$&2&&(hs.$$scope={dirty:$,ctx:o}),Be.$set(hs);const wo={};$&2&&(wo.$$scope={dirty:$,ctx:o}),Ge.$set(wo);const fs={};$&2&&(fs.$$scope={dirty:$,ctx:o}),Je.$set(fs);const gs={};$&2&&(gs.$$scope={dirty:$,ctx:o}),Ze.$set(gs);const _s={};$&2&&(_s.$$scope={dirty:$,ctx:o}),et.$set(_s);const C={};$&2&&(C.$$scope={dirty:$,ctx:o}),tt.$set(C);const $s={};$&2&&($s.$$scope={dirty:$,ctx:o}),st.$set($s);const bo={};$&2&&(bo.$$scope={dirty:$,ctx:o}),rt.$set(bo);const vs={};$&2&&(vs.$$scope={dirty:$,ctx:o}),at.$set(vs);const xs={};$&2&&(xs.$$scope={dirty:$,ctx:o}),pt.$set(xs);const To={};$&2&&(To.$$scope={dirty:$,ctx:o}),mt.$set(To);const de={};$&2&&(de.$$scope={dirty:$,ctx:o}),dt.$set(de);const ks={};$&2&&(ks.$$scope={dirty:$,ctx:o}),ut.$set(ks);const ws={};$&2&&(ws.$$scope={dirty:$,ctx:o}),ht.$set(ws);const bs={};$&2&&(bs.$$scope={dirty:$,ctx:o}),ft.$set(bs);const ce={};$&2&&(ce.$$scope={dirty:$,ctx:o}),gt.$set(ce);const Ts={};$&2&&(Ts.$$scope={dirty:$,ctx:o}),vt.$set(Ts);const Os={};$&2&&(Os.$$scope={dirty:$,ctx:o}),xt.$set(Os);const Ms={};$&2&&(Ms.$$scope={dirty:$,ctx:o}),kt.$set(Ms);const qs={};$&2&&(qs.$$scope={dirty:$,ctx:o}),bt.$set(qs);const U={};$&2&&(U.$$scope={dirty:$,ctx:o}),Tt.$set(U);const Oo={};$&2&&(Oo.$$scope={dirty:$,ctx:o}),Ot.$set(Oo)},i(o){Ws||(T(n.$$.fragment,o),T(Et.$$.fragment,o),T(jt.$$.fragment,o),T(Pt.$$.fragment,o),T(At.$$.fragment,o),T(It.$$.fragment,o),T(Dt.$$.fragment,o),T(Lt.$$.fragment,o),T(Xt.$$.fragment,o),T(Ue.$$.fragment,o),T(We.$$.fragment,o),T(He.$$.fragment,o),T(Qt.$$.fragment,o),T(Ut.$$.fragment,o),T(Ht.$$.fragment,o),T(Be.$$.fragment,o),T(Ge.$$.fragment,o),T(Je.$$.fragment,o),T(Vt.$$.fragment,o),T(Bt.$$.fragment,o),T(Gt.$$.fragment,o),T(Yt.$$.fragment,o),T(Ze.$$.fragment,o),T(et.$$.fragment,o),T(tt.$$.fragment,o),T(Kt.$$.fragment,o),T(Zt.$$.fragment,o),T(eo.$$.fragment,o),T(oo.$$.fragment,o),T(st.$$.fragment,o),T(rt.$$.fragment,o),T(at.$$.fragment,o),T(no.$$.fragment,o),T(so.$$.fragment,o),T(ro.$$.fragment,o),T(ao.$$.fragment,o),T(pt.$$.fragment,o),T(mt.$$.fragment,o),T(dt.$$.fragment,o),T(io.$$.fragment,o),T(lo.$$.fragment,o),T(mo.$$.fragment,o),T(ut.$$.fragment,o),T(ht.$$.fragment,o),T(ft.$$.fragment,o),T(gt.$$.fragment,o),T(co.$$.fragment,o),T(uo.$$.fragment,o),T(ho.$$.fragment,o),T(fo.$$.fragment,o),T(vt.$$.fragment,o),T(xt.$$.fragment,o),T(kt.$$.fragment,o),T(go.$$.fragment,o),T(_o.$$.fragment,o),T(vo.$$.fragment,o),T(bt.$$.fragment,o),T(Tt.$$.fragment,o),T(Ot.$$.fragment,o),T(xo.$$.fragment,o),Ws=!0)},o(o){O(n.$$.fragment,o),O(Et.$$.fragment,o),O(jt.$$.fragment,o),O(Pt.$$.fragment,o),O(At.$$.fragment,o),O(It.$$.fragment,o),O(Dt.$$.fragment,o),O(Lt.$$.fragment,o),O(Xt.$$.fragment,o),O(Ue.$$.fragment,o),O(We.$$.fragment,o),O(He.$$.fragment,o),O(Qt.$$.fragment,o),O(Ut.$$.fragment,o),O(Ht.$$.fragment,o),O(Be.$$.fragment,o),O(Ge.$$.fragment,o),O(Je.$$.fragment,o),O(Vt.$$.fragment,o),O(Bt.$$.fragment,o),O(Gt.$$.fragment,o),O(Yt.$$.fragment,o),O(Ze.$$.fragment,o),O(et.$$.fragment,o),O(tt.$$.fragment,o),O(Kt.$$.fragment,o),O(Zt.$$.fragment,o),O(eo.$$.fragment,o),O(oo.$$.fragment,o),O(st.$$.fragment,o),O(rt.$$.fragment,o),O(at.$$.fragment,o),O(no.$$.fragment,o),O(so.$$.fragment,o),O(ro.$$.fragment,o),O(ao.$$.fragment,o),O(pt.$$.fragment,o),O(mt.$$.fragment,o),O(dt.$$.fragment,o),O(io.$$.fragment,o),O(lo.$$.fragment,o),O(mo.$$.fragment,o),O(ut.$$.fragment,o),O(ht.$$.fragment,o),O(ft.$$.fragment,o),O(gt.$$.fragment,o),O(co.$$.fragment,o),O(uo.$$.fragment,o),O(ho.$$.fragment,o),O(fo.$$.fragment,o),O(vt.$$.fragment,o),O(xt.$$.fragment,o),O(kt.$$.fragment,o),O(go.$$.fragment,o),O(_o.$$.fragment,o),O(vo.$$.fragment,o),O(bt.$$.fragment,o),O(Tt.$$.fragment,o),O(Ot.$$.fragment,o),O(xo.$$.fragment,o),Ws=!1},d(o){t(s),o&&t(_),o&&t(d),M(n),o&&t(v),o&&t(j),M(Et),o&&t(ys),o&&t(R),M(jt),M(Pt),M(At),M(It),o&&t(Es),o&&t(be),M(Dt),o&&t(js),o&&t(le),M(Lt),M(Xt),M(Ue),M(We),M(He),o&&t(Rs),o&&t(Oe),M(Qt),o&&t(Fs),o&&t(S),M(Ut),M(Ht),M(Be),M(Ge),M(Je),M(Vt),o&&t(Cs),o&&t(qe),M(Bt),o&&t(Ss),o&&t(z),M(Gt),M(Yt),M(Ze),M(et),M(tt),M(Kt),o&&t(zs),o&&t(Ee),M(Zt),o&&t(Ps),o&&t(P),M(eo),M(oo),M(st),M(rt),M(at),M(no),o&&t(As),o&&t(Re),M(so),o&&t(Ns),o&&t(pe),M(ro),M(ao),M(pt),M(mt),M(dt),o&&t(Is),o&&t(Ce),M(io),o&&t(Ds),o&&t(A),M(lo),M(mo),M(ut),M(ht),M(ft),M(gt),M(co),o&&t(Ls),o&&t(ze),M(uo),o&&t(Xs),o&&t(me),M(ho),M(fo),M(vt),M(xt),M(kt),o&&t(Qs),o&&t(Ae),M(go),o&&t(Us),o&&t(N),M(_o),M(vo),M(bt),M(Tt),M(Ot),M(xo)}}}const Rd={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"}],title:"Models"};function Fd(E){return sd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Id extends ed{constructor(s){super();td(this,s,Fd,jd,od,{})}}export{Id as default,Rd as metadata};
