import{S as ne,i as ie,s as de,e as a,k as v,w as S,t as z,M as se,c as n,d as t,m as y,a as i,x as C,h as k,b as l,G as o,g as U,y as q,L as le,q as A,o as N,B as R,v as me}from"../../chunks/vendor-hf-doc-builder.js";import{D as Y}from"../../chunks/Docstring-hf-doc-builder.js";import{I as ce}from"../../chunks/IconCopyLink-hf-doc-builder.js";function pe(Z){let d,P,s,m,$,h,V,O,W,T,r,g,H,c,u,B,M,G,J,p,f,j,_,K,x,Q,X,E;return h=new ce({}),g=new Y({props:{name:"class optimum.modeling_base.OptimizedModel",anchor:"optimum.modeling_base.OptimizedModel",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"config",val:": PretrainedConfig"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/modeling_base.py#L69"}}),u=new Y({props:{name:"from_pretrained",anchor:"optimum.modeling_base.OptimizedModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": ForwardRef('PretrainedConfig') = None"},{name:"local_files_only",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.modeling_base.OptimizedModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.modeling_base.OptimizedModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.modeling_base.OptimizedModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.modeling_base.OptimizedModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.modeling_base.OptimizedModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.modeling_base.OptimizedModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.modeling_base.OptimizedModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, <em>optional</em>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.modeling_base.OptimizedModel.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/modeling_base.py#L269",returnDescription:`
<p>The loaded optimized model.</p>
`,returnType:`
<p><code>OptimizedModel</code></p>
`}}),f=new Y({props:{name:"save_pretrained",anchor:"optimum.modeling_base.OptimizedModel.save_pretrained",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"push_to_hub",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.modeling_base.OptimizedModel.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>Union[str, os.PathLike]</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"optimum.modeling_base.OptimizedModel.save_pretrained.push_to_hub",description:`<strong>push_to_hub</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to push your model to the Hugging Face model hub after saving it.</p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p>Using <code>push_to_hub=True</code> will synchronize the repository you are pushing to with <code>save_directory</code>,
which requires <code>save_directory</code> to be a local clone of the repo you are pushing to if it&#x2019;s an existing
folder. Pass along <code>temp_dir=True</code> to use a temporary directory instead.</p>

					</div>`,name:"push_to_hub"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/modeling_base.py#L89"}}),{c(){d=a("meta"),P=v(),s=a("h1"),m=a("a"),$=a("span"),S(h.$$.fragment),V=v(),O=a("span"),W=z("OptimizedModel"),T=v(),r=a("div"),S(g.$$.fragment),H=v(),c=a("div"),S(u.$$.fragment),B=v(),M=a("p"),G=z("Instantiate a pretrained model from a pre-trained model configuration."),J=v(),p=a("div"),S(f.$$.fragment),j=v(),_=a("p"),K=z(`Saves a model and its configuration file to a directory, so that it can be re-loaded using the
`),x=a("code"),Q=z("from_pretrained"),X=z(" class method."),this.h()},l(e){const b=se('[data-svelte="svelte-1phssyn"]',document.head);d=n(b,"META",{name:!0,content:!0}),b.forEach(t),P=y(e),s=n(e,"H1",{class:!0});var F=i(s);m=n(F,"A",{id:!0,class:!0,href:!0});var ee=i(m);$=n(ee,"SPAN",{});var oe=i($);C(h.$$.fragment,oe),oe.forEach(t),ee.forEach(t),V=y(F),O=n(F,"SPAN",{});var te=i(O);W=k(te,"OptimizedModel"),te.forEach(t),F.forEach(t),T=y(e),r=n(e,"DIV",{class:!0});var w=i(r);C(g.$$.fragment,w),H=y(w),c=n(w,"DIV",{class:!0});var D=i(c);C(u.$$.fragment,D),B=y(D),M=n(D,"P",{});var re=i(M);G=k(re,"Instantiate a pretrained model from a pre-trained model configuration."),re.forEach(t),D.forEach(t),J=y(w),p=n(w,"DIV",{class:!0});var I=i(p);C(f.$$.fragment,I),j=y(I),_=n(I,"P",{});var L=i(_);K=k(L,`Saves a model and its configuration file to a directory, so that it can be re-loaded using the
`),x=n(L,"CODE",{});var ae=i(x);Q=k(ae,"from_pretrained"),ae.forEach(t),X=k(L," class method."),L.forEach(t),I.forEach(t),w.forEach(t),this.h()},h(){l(d,"name","hf:doc:metadata"),l(d,"content",JSON.stringify(he)),l(m,"id","optimum.modeling_base.OptimizedModel"),l(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(m,"href","#optimum.modeling_base.OptimizedModel"),l(s,"class","relative group"),l(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(r,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,b){o(document.head,d),U(e,P,b),U(e,s,b),o(s,m),o(m,$),q(h,$,null),o(s,V),o(s,O),o(O,W),U(e,T,b),U(e,r,b),q(g,r,null),o(r,H),o(r,c),q(u,c,null),o(c,B),o(c,M),o(M,G),o(r,J),o(r,p),q(f,p,null),o(p,j),o(p,_),o(_,K),o(_,x),o(x,Q),o(_,X),E=!0},p:le,i(e){E||(A(h.$$.fragment,e),A(g.$$.fragment,e),A(u.$$.fragment,e),A(f.$$.fragment,e),E=!0)},o(e){N(h.$$.fragment,e),N(g.$$.fragment,e),N(u.$$.fragment,e),N(f.$$.fragment,e),E=!1},d(e){t(d),e&&t(P),e&&t(s),R(h),e&&t(T),e&&t(r),R(g),R(u),R(f)}}}const he={local:"optimum.modeling_base.OptimizedModel",title:"OptimizedModel"};function ge(Z){return me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class be extends ne{constructor(d){super();ie(this,d,ge,pe,de,{})}}export{be as default,he as metadata};
